Indicates whether the specified statement has rows

- « sqlsrv_get_field

- sqlsrv_next_result »

- PHP Manual
- SQLSRV Functions
- Indicates whether the specified statement has rows

# sqlsrv_has_rows

(No version information available, might only be in Git)

sqlsrv_has_rows — Indicates whether the specified statement has rows

### Description

sqlsrv_has_rows(resource `$stmt`): bool

Indicates whether the specified statement has rows.

### Parameters

`stmt`

  A statement resource returned by sqlsrv_query() or sqlsrv_execute().

### Return Values

Returns `true` if the specified statement has rows and `false` if the statement does not have rows or if an error occurred.

### Examples

Example #1 sqlsrv_has_rows() example

    <?php
    $server = "serverName\sqlexpress";
    $connectionInfo = array( "Database"=>"dbName", "UID"=>"username", "PWD"=>"password" );
    $conn = sqlsrv_connect( $server, $connectionInfo );

    $stmt = sqlsrv_query( $conn, "SELECT * FROM Table_1");

    if ($stmt) {
       $rows = sqlsrv_has_rows( $stmt );
       if ($rows === true)
          echo "There are rows. <br />";
       else
          echo "There are no rows. <br />";
    }
    ?>

### See Also

- sqlsrv_num_rows() - Retrieves the number of rows in a result set
- sqlsrv_query() - Prepares and executes a query